Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeBaseInfoData.cs	(revision 267)
@@ -124,16 +124,16 @@
                 int LinkCount = 0;
                 RemoveList.Add(RemoveCode);
                 // 増減工事親確認
-                if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                if (BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Parent)
                 {
                     GetLinkageCode(RemoveCode, DB03, ref RemoveList, false);
                 }
-                else if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                else if (BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Tying)
                 {
                     LinkCount = GetLinkageCode2(RemoveCode, DB03, ref ParentCode);
                 }
                 // 結合工事親確認
-                if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent)
                 {
                     GetLinkageCode(RemoveCode, DB03, ref UpdateLinkList, true);
                 }
@@ -184,18 +184,18 @@
                     DB26.DeleteAction(strRemove, false);
                     DB27.DeleteAction(strRemove, false);
 
-                    if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent
-                        || BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Parent)
+                    if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent
+                        || BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Parent)
                     {
                         DB03.DeleteAction(strRemove, false);
                     }
-                    else if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                    else if (BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Tying)
                     {
                         strRemove2 = string.Format(" Where FluctuationCode = {0}", RemoveList[i]);
-                        strRemove2 += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                        strRemove2 += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                         DB03.DeleteAction(strRemove2, false);
                     }
-                    else if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinChildren)
+                    else if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinChildren)
                     {
                         // 削除処理の未実装
                     }
@@ -205,13 +205,13 @@
                 if (ProcSuccess)
                 {
                     // 増減工事子の場合（最後のリンク情報か、どうかの確認）
-                    if (BaseRec.TyingFlg == (int)CommonDefine.BaseInfoTyingFlg.Tying)
+                    if (BaseRec.TyingFlg == (int)ConstructionBaseInfo.TyingFlgDef.Tying)
                     {
                         if (LinkCount == 1)
                         {   // 最後のリンクは親を増減工事より外す
                             if (!DB01.UpdateFeild(ParentCode
                                                 , (int)IOConstructionBaseInfo.TableColumn.TyingFlg
-                                                , (int)CommonDefine.BaseInfoTyingFlg.Standard
+                                                , (int)ConstructionBaseInfo.TyingFlgDef.Standard
                                                 , false))
                             {
                                 ProcSuccess = false;
@@ -219,7 +219,7 @@
                         }
                     }
                     // 結合工事親確認
-                    if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                    if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.JoinParent)
                     {
                         string strSQL = string.Empty;
                         for (int i = 0; i < UpdateLinkList.Count; i++)
@@ -226,16 +226,16 @@
                         {
                             if (!DB01.UpdateFeild(UpdateLinkList[i]
                                                 , (int)IOConstructionBaseInfo.TableColumn.JoinFlg
-                                                , (int)CommonDefine.BaseInfoJoinFlg.Standard
+                                                , (int)ConstructionBaseInfo.JoinFlgDef.Standard
                                                 , false))
                             {
                                 ProcSuccess = false;
                                 break;
                             }
-                            strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO A SET A.JOINFLG = {0}", (int)CommonDefine.BaseInfoJoinFlg.Standard);
+                            strSQL = string.Format("UPDATE CONSTRUCTIONBASEINFO A SET A.JOINFLG = {0}", (int)ConstructionBaseInfo.JoinFlgDef.Standard);
                             strSQL += " WHERE A.CONSTRUCTIONCODE IN (SELECT AA.FLUCTUATIONCODE FROM CONSTRUCTIONLINK AA";
                             strSQL += string.Format(" WHERE AA.CONSTRUCTIONCODE = {0}",UpdateLinkList[i]);
-                            strSQL += string.Format(" AND AA.LINKTYPE = {0})", (int)CommonDefine.LinkDataType.FluctuationType);
+                            strSQL += string.Format(" AND AA.LINKTYPE = {0})", (int)ConstructionLink.DataTypeDef.FluctuationType);
                             DB01.ExecuteNonQuery(strSQL, false);
                         }
                     }
@@ -293,9 +293,9 @@
                 string strSQL = "SELECT FLUCTUATIONCODE FROM CONSTRUCTIONLINK";
                 strSQL += LinkDB.CreatePrimarykeyString(RemoveCode);
                 if (bJoin)
-                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                 else
-                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                    strSQL += string.Format(" AND LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                 ArrayList arList = new ArrayList();
                 if (!LinkDB.ExecuteReader(strSQL, ref arList)) return;
                 foreach (object[] CurRec in arList)
@@ -320,7 +320,7 @@
             {
                 string strSQL = "SELECT B.CONSTRUCTIONCODE, COUNT(*) FROM CONSTRUCTIONLINK A, CONSTRUCTIONLINK B";
                 strSQL += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", RemoveCode);
-                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                strSQL += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                 strSQL += " AND B.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 strSQL += " GROUP BY B.CONSTRUCTIONCODE";
 
@@ -358,7 +358,7 @@
                 string strParent = "SELECT DISTINCT(A.CONSTRUCTIONCODE), B.REQUESTEDDATE, 0, 0, 0, 0, F.DETAILSTRING, B.JOINFLG";
                 strParent += " FROM CONSTRUCTIONLINK A";
                 strParent += " LEFT OUTER JOIN CONSTRUCTIONBASEINFODETAIL F ON F.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
-                strParent += string.Format(" AND F.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DetailDataNo.ConstructionName);
+                strParent += string.Format(" AND F.DETAILNO = {0}", (int)ConstructionBaseInfoDetail.DataNoDef.ConstructionName);
                 strParent += " , CONSTRUCTIONBASEINFO B";
 
                 strParent += string.Format(" WHERE A.FLUCTUATIONCODE = {0}", SearchCode);
@@ -368,11 +368,11 @@
                     case 0:
                     case 2:
                         // 結合タイプよりデータを検索
-                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.JoinType);
+                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.JoinType);
                         break;
                     case 1:
                         // 増減タイプよりデータを検索
-                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)CommonDefine.LinkDataType.FluctuationType);
+                        strParent += string.Format(" AND A.LINKTYPE = {0}", (int)ConstructionLink.DataTypeDef.FluctuationType);
                         break;
                 }
 
@@ -398,7 +398,7 @@
 
                 // 結合の元データ以外はクリア
                 object[] objRec = (object[])DataList[0];
-                if (CommonMotions.cnvInt(objRec[7]) != (int)CommonDefine.BaseInfoJoinFlg.JoinParent)
+                if (CommonMotions.cnvInt(objRec[7]) != (int)ConstructionBaseInfo.JoinFlgDef.JoinParent)
                 {
                     int SecondCode = CommonMotions.cnvInt(objRec[0]);
                     DataList.Clear();
@@ -430,7 +430,7 @@
                 if (!BaseDB.SelectAction(strSQL, ref BaseRec, false)) return false;
 
                 // 結合工事では無ければ処理しない
-                if (BaseRec.JoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard) return true;
+                if (BaseRec.JoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard) return true;
 
                 // 対象の親番号を取得する
                 int ParentCode = ClsProcessExist.GetParentConstrCode(TargetCode);
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 267)
@@ -84,16 +84,16 @@
                 strDelSQL += " (SELECT A1.CONSTRUCTIONCODE FROM CONSTRUCTIONBASEINFO A1";
                 strDelSQL += string.Format(" WHERE (A1.SALESPERSONCODE = {0} OR A1.CONSTRUCTIONPERSONCODE = {0} OR A1.CONSTRSUBPERSONCODE = {0} OR A1.CONSTRUCTIONINSTRUCTOR = {0}))", PersonCode);
                 strDelSQL += string.Format(" AND GROUPCOUNT IN ({0}, {1}, {2}, {3}, {4}, {5})"
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Transport)
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Purchase)
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Lease)
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.StoragePlace)
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.Lodging)
-                                                                , GetConstructionLedgerGroupNo((int)CommonDefine.CostDataNo.DisposalCost));
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Transport)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Purchase)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Lease)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.StoragePlace)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.Lodging)
+                                                                , GetConstructionLedgerGroupNo((int)CostDataOfPerson.DataNoDef.DisposalCost));
                 strDelSQL += string.Format(" AND DATE(TARGETMONTH) = STR_TO_DATE('{0}','%Y/%m/%d')", (TargetMonth + "/01"));
                 LedgerExcuteDB.ExecuteNonQuery(strDelSQL, false);
 
-                for (int i = (int)CommonDefine.CostDataNo.Transport; i <= (int)CommonDefine.CostDataNo.DisposalCost; i++)
+                for (int i = (int)CostDataOfPerson.DataNoDef.Transport; i <= (int)CostDataOfPerson.DataNoDef.DisposalCost; i++)
                 {
                     string strSQL = "SELECT CONSTRUCTIONCODE, DATATYPE, DATE_FORMAT(ACTIONDATE,'%Y/%m'), SUM(ENTRYPRICE) FROM COSTDATAOFPERSON";
                     strSQL += String.Format(" WHERE DATE_FORMAT(ACTIONDATE,'%Y/%m') = '{0}'", TargetMonth);
@@ -370,27 +370,27 @@
             // 工事台帳のグループ番号を取得する
             switch (TargetData)
             {
-                case (int)CommonDefine.CostDataNo.Transport:
+                case (int)CostDataOfPerson.DataNoDef.Transport:
                     // 交通費（通行料・電車代）
                     GroupNo = (int)FrmConstructionLedger.DataGroup.TransportationCosts;
                     break;
-                case (int)CommonDefine.CostDataNo.Purchase:
+                case (int)CostDataOfPerson.DataNoDef.Purchase:
                     // 購入品
                     GroupNo = (int)FrmConstructionLedger.DataGroup.PurchaseCosts;
                     break;
-                case (int)CommonDefine.CostDataNo.Lease:
+                case (int)CostDataOfPerson.DataNoDef.Lease:
                     // 車両リース代
                     GroupNo = (int)FrmConstructionLedger.DataGroup.VehicleLeaseFee;
                     break;
-                case (int)CommonDefine.CostDataNo.StoragePlace:
+                case (int)CostDataOfPerson.DataNoDef.StoragePlace:
                     // 駐車場・資材置き場
                     GroupNo = (int)FrmConstructionLedger.DataGroup.ParkingCosts;
                     break;
-                case (int)CommonDefine.CostDataNo.Lodging:
+                case (int)CostDataOfPerson.DataNoDef.Lodging:
                     // 宿泊費
                     GroupNo = (int)FrmConstructionLedger.DataGroup.RoomChargeCosts;
                     break;
-                case (int)CommonDefine.CostDataNo.DisposalCost:
+                case (int)CostDataOfPerson.DataNoDef.DisposalCost:
                     // 処分費
                     GroupNo = (int)FrmConstructionLedger.DataGroup.DisposeCosts;
                     break;
@@ -554,7 +554,7 @@
                 // 工事詳細台帳明細データ取得
                 List<ConstructionLedgerDetail> DetailList = new List<ConstructionLedgerDetail>();
                 string DetailSQL = LedgerDeDB.CreatePrimarykeyString(LedgerRec.ConstructionCode);
-                DetailSQL += string.Format(" AND OperatingFlg = {0}", (int)CommonDefine.SalaryOperateKind.Oparateing);  // 対応中フラグ
+                DetailSQL += string.Format(" AND OperatingFlg = {0}", (int)ConstructionLedgerDetail.SalOpeKindDef.Oparateing);  // 対応中フラグ
                 DetailSQL += string.Format(" AND SALARYFLG != {0}", (int)CommonDefine.SalaryDevision.Noting);           // 給与振分区分
                 DetailSQL += string.Format(" AND GROUPCOUNT IN ({0},{1},{2})",
                                                                 (int)FrmConstructionLedger.DataGroup.Instructor,        // 指導員給料
@@ -579,7 +579,7 @@
                     // コードがない場合は処理しない
                     if (CurRec.CompanyCode == 0) continue;
                     // 施工管理中担当者ではない場合は処理しない
-                    if (CurRec.OperatingFlg == (int)CommonDefine.SalaryOperateKind.Complate) continue;
+                    if (CurRec.OperatingFlg == (int)ConstructionLedgerDetail.SalOpeKindDef.Complate) continue;
 
                     // 現在の値を取得する
                     int NowValue = 0;
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 267)
@@ -2679,7 +2679,7 @@
                 }
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
-                frm.EntryMode = (int)CommonDefine.EmployeeClassFlg.Regular;
+                frm.EntryMode = (int)PersonInChargeMaster.EmployeeClassFlgDef.Regular;
                 frm.ShowDialog();
             }
             catch (Exception ex)
@@ -3269,7 +3269,7 @@
                 }
                 if (EditFlg == (int)CommonDefine.ProcessDataEdit.Reference) frm.EditLock = true;
 
-                frm.EntryMode = (int)CommonDefine.EmployeeClassFlg.OutSource;
+                frm.EntryMode = (int)PersonInChargeMaster.EmployeeClassFlgDef.OutSource;
                 frm.ShowDialog();
             }
             catch (Exception ex)
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 266)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsProcessExist.cs	(revision 267)
@@ -131,7 +131,7 @@
                 if (!BaseDB.SelectAction(strBase, ref BaseRec)) return InputCode;
 
                 // 結合工事のチェック
-                if (BaseRec.JoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (BaseRec.JoinFlg != (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     // 結合工事は結合親工事番号を返す
                     int FuncCnt = 0;
@@ -146,7 +146,7 @@
                 else
                 {
                     // 増減工事でない場合はそのまま工事コードを返す
-                    if (BaseRec.TyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Tying) return InputCode;
+                    if (BaseRec.TyingFlg != (int)ConstructionBaseInfo.TyingFlgDef.Tying) return InputCode;
                 }
                 // 増減工事の場合は親コードを検索する
                 string strLink = string.Format(" WHERE FluctuationCode = {0}", InputCode);
@@ -192,11 +192,11 @@
 
                 bool bJoinFlg = true;
                 object[] objRec1 = (object[])BaseList[0];
-                if (CommonMotions.cnvInt(objRec1[1]) == (int)CommonDefine.BaseInfoJoinFlg.Standard) bJoinFlg = false;
+                if (CommonMotions.cnvInt(objRec1[1]) == (int)ConstructionBaseInfo.JoinFlgDef.Standard) bJoinFlg = false;
 
                 int iCode = CommonDefine.ProjectsStatus.First(x => x.Value.Equals("非 受 注")).Key;
-                int LinkJoin = (int)CommonDefine.LinkDataType.JoinType;
-                int LinkFluctuation = (int)CommonDefine.LinkDataType.FluctuationType;
+                int LinkJoin = (int)ConstructionLink.DataTypeDef.JoinType;
+                int LinkFluctuation = (int)ConstructionLink.DataTypeDef.FluctuationType;
 
                 if (bJoinFlg)
                 {
@@ -283,7 +283,7 @@
 
                 // 結合・増減工事は構成工事コードを全てとる
                 m_SearchCode = m_ConstructionCode;
-                if (m_BaseInfoJoinFlg != (int)CommonDefine.BaseInfoJoinFlg.Standard || m_BaseInfoTyingFlg != (int)CommonDefine.BaseInfoTyingFlg.Standard)
+                if (m_BaseInfoJoinFlg != (int)ConstructionBaseInfo.JoinFlgDef.Standard || m_BaseInfoTyingFlg != (int)ConstructionBaseInfo.TyingFlgDef.Standard)
                 {
                     // 検索工事番号を返す
                     m_SearchCode = GetParentConstrCode(m_ConstructionCode);
@@ -475,7 +475,7 @@
 
                 string strSQL = string.Empty;
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL = EdimateDB.CreatePrimarykeyString(m_ConstructionCode);
                 }
@@ -520,7 +520,7 @@
                 strSQL += " FROM ESTIMATEDATA A, PROCESSAPPROVAL B";
                 
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 }
@@ -572,7 +572,7 @@
 
                 string strSQL = string.Empty;
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL = EdimateDB.CreatePrimarykeyString(m_ConstructionCode);
                 }
@@ -618,7 +618,7 @@
                 strSQL += " FROM CONSTRUCTIONBASEINFO A,ESTIMATEDATA B, PROCESSAPPROVAL C";
                 
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 }
@@ -673,7 +673,7 @@
                 strSQL += " FROM CONSTRUCTIONBASEINFO A,ESTIMATEDATA B";
 
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 }
@@ -722,7 +722,7 @@
                 strSQL += " FROM CONSTRUCTIONBUDGET A, PROCESSAPPROVAL B";
 
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 }
@@ -775,7 +775,7 @@
                 strSQL += " FROM PURCHASEORDER A, PROCESSAPPROVAL B";
 
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL += string.Format(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);
                 }
@@ -873,7 +873,7 @@
                 string strSQL = string.Empty;
 
                 // 結合工事以外の場合は自データのチェック
-                if (m_BaseInfoJoinFlg == (int)CommonDefine.BaseInfoJoinFlg.Standard)
+                if (m_BaseInfoJoinFlg == (int)ConstructionBaseInfo.JoinFlgDef.Standard)
                 {
                     strSQL = LedgerDB.CreatePrimarykeyString(m_ConstructionCode);
                 }
